#!/bin/ksh

[ $AAPP_PREFIX ] || { echo "Please define AAPP_PREFIX"; exit 0; }

. $AAPP_PREFIX/ATOVS_CONF

infiles=$PWD/infiles
outfiles=$PWD/outfiles
mkdir -p $outfiles

mwhs=FY3E_MWHS-_ORBD_L1_20220705_0010_015KM_V0.HDF
mwts=FY3E_MWTS-_ORBD_L1_20220705_0010_033KM_V0.HDF

mwhs_l1c=${mwhs%.HDF}.l1c
mwts_l1c=${mwts%.HDF}.l1c

mwhs_bufr=${mwhs%.HDF}.bufr
mwts_bufr=${mwts%.HDF}.bufr

cd $outfiles

#---------Ingest SDR

mwhs2_sdr -o $mwhs_l1c $infiles/$mwhs
mwts3_sdr -o $mwts_l1c $infiles/$mwts

#---------BUFR encode level 1c

eccodes_encodebufr_1c -i $mwhs_l1c MWHS2
eccodes_encodebufr_1c -i $mwts_l1c MWTS3

#---------Map MWHS2 to MWTS3

mwhs2_to_mwts3 $outfiles/$mwts_l1c $outfiles/$mwhs_l1c

#---------Encode level 1d, with cross-track thinning

mv $mwts_l1c l1d_$mwts_l1c
export MWTS3THIN_X=3
export MWTS3THIN_Y=1
eccodes_encodebufr_1c -i l1d_$mwts_l1c MWTS31D

#---------convert to hdf5

convert_to_hdf5 $mwhs_l1c
convert_to_hdf5 l1d_$mwts_l1c
